summaryrefslogtreecommitdiff
path: root/net-p2p
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /net-p2p
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'net-p2p')
-rw-r--r--net-p2p/dclib/dclib-9999.ebuild35
-rw-r--r--net-p2p/kmldonkey/kmldonkey-2.9999.ebuild28
-rw-r--r--net-p2p/mldonkey/mldonkey-9999.ebuild194
-rw-r--r--net-p2p/sancho-bin/sancho-bin-0.9.4.59.ebuild59
-rw-r--r--net-p2p/valknut/valknut-9999.ebuild48
-rw-r--r--net-p2p/verlihub/Manifest2
-rw-r--r--net-p2p/verlihub/verlihub-0.9.8d_rc2.ebuild100
7 files changed, 466 insertions, 0 deletions
diff --git a/net-p2p/dclib/dclib-9999.ebuild b/net-p2p/dclib/dclib-9999.ebuild
new file mode 100644
index 0000000..3c8cfac
--- /dev/null
+++ b/net-p2p/dclib/dclib-9999.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/dclib/dclib-0.3.21.ebuild,v 1.1 2008/09/24 19:59:13 armin76 Exp $
+
+inherit subversion autotools
+
+DESCRIPTION="DirectConnect client library"
+HOMEPAGE="http://sourceforge.net/projects/wxdcgui"
+SRC_URI=""
+
+ESVN_REPO_URI="https://wxdcgui.svn.sourceforge.net/svnroot/wxdcgui/trunk/dclib"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+
+S="${WORKDIR}/${P/_/}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND=">=app-arch/bzip2-1.0.2
+ >=dev-libs/libxml2-2.4.22"
+
+src_unpack(){
+ subversion_src_unpack
+ cd "${S}"
+ eautoreconf
+}
+
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed."
+ dodoc AUTHORS ChangeLog NEWS README TODO
+}
diff --git a/net-p2p/kmldonkey/kmldonkey-2.9999.ebuild b/net-p2p/kmldonkey/kmldonkey-2.9999.ebuild
new file mode 100644
index 0000000..fd50bfb
--- /dev/null
+++ b/net-p2p/kmldonkey/kmldonkey-2.9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/kmldonkey/kmldonkey-2.0.2-r1.ebuild,v 1.2 2009/03/02 14:38:40 scarabeus Exp $
+
+EAPI="2"
+
+
+
+KMNAME="extragear/network"
+KMMODULE="kmldonkey"
+
+inherit kde4-base
+
+DESCRIPTION="Provides integration for the MLDonkey P2P software and KDE 4."
+HOMEPAGE="http://extragear.kde.org/apps/kmldonkey/"
+LICENSE="GPL-2 LGPL-2"
+
+SLOT="live"
+
+KEYWORDS="~amd64 ~x86"
+IUSE="debug plasma"
+
+RDEPEND="plasma? ( >=kde-base/plasma-workspace-${KDE_MINIMAL} )"
+DEPEND="${RDEPEND}
+ !net-p2p/kmldonkey:4.1
+ sys-devel/gettext"
+
+
diff --git a/net-p2p/mldonkey/mldonkey-9999.ebuild b/net-p2p/mldonkey/mldonkey-9999.ebuild
new file mode 100644
index 0000000..9b32ef8
--- /dev/null
+++ b/net-p2p/mldonkey/mldonkey-9999.ebuild
@@ -0,0 +1,194 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/mldonkey/mldonkey-2.9.6.ebuild,v 1.1 2008/08/05 18:09:54 armin76 Exp $
+
+WANT_AUTOCONF=2.5
+
+inherit flag-o-matic eutils autotools toolchain-funcs cvs
+
+EAPI="1"
+
+IUSE="doc fasttrack gd gnutella gtk guionly magic +ocamlopt"
+
+DESCRIPTION="MLDonkey is a multi-network P2P application written in Ocaml, coming with its own Gtk GUI, web and telnet interface."
+HOMEPAGE="http://mldonkey.sourceforge.net/"
+SRC_URI=""
+
+ECVS_SERVER="cvs.sv.gnu.org:/sources/mldonkey"
+ECVS_MODULE="mldonkey"
+ECVS_AUTH="pserver"
+ECVS_USER="anonymous"
+S="${WORKDIR}/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+
+RDEPEND="dev-lang/perl
+ guionly? ( >=gnome-base/librsvg-2.4.0
+ >=dev-ml/lablgtk-2.6 )
+ gtk? ( >=gnome-base/librsvg-2.4.0
+ >=dev-ml/lablgtk-2.6 )
+ gd? ( >=media-libs/gd-2.0.28 )
+ magic? ( sys-apps/file )"
+
+DEPEND="${RDEPEND}
+ >=dev-lang/ocaml-3.08.3
+ sys-apps/sed"
+
+MLUSER="p2p"
+
+pkg_setup() {
+ if use gtk; then
+ echo ""
+ einfo "If the compile with gui fails, and you have updated Ocaml"
+ einfo "recently, you may have forgotten that you need to run"
+ einfo "/usr/portage/dev-lang/ocaml/files/ocaml-rebuild.sh"
+ einfo "to learn which ebuilds you need to recompile"
+ einfo "each time you update Ocaml to a different version"
+ einfo "see the Ocaml ebuild for details"
+ echo ""
+ fi
+
+ if use gtk && ! built_with_use dev-ml/lablgtk svg; then
+ eerror "dev-ml/lablgtk must be built with the 'svg' USE flag to use the gtk gui"
+ die "Recompile dev-ml/lablgtk with enabled svg USE flag"
+ fi
+
+ if use gd && ! built_with_use media-libs/gd truetype; then
+ eerror "media-libs/gd must be built with 'truetype' to compile"
+ eerror "MLDonkey with gd support"
+ die "Recompile media-libs/gd with enabled truetype USE flag"
+ fi
+ if use ocamlopt && ! built_with_use --missing true dev-lang/ocaml ocamlopt; then
+ eerror "In order to build ${PN} with native code support from ocaml"
+ eerror "You first need to have a native code ocaml compiler."
+ eerror "You need to install dev-lang/ocaml with ocamlopt useflag on."
+ die "Please install ocaml with ocamlopt useflag"
+ fi
+ # dev-lang/ocaml creates its own objects but calls gcc for linking, which will
+ # results in relocations if gcc wants to create a PIE executable
+ if gcc-specs-pie ; then
+ append-ldflags -nopie
+ ewarn "Ocaml generates its own native asm, you're using a PIE compiler"
+ ewarn "We have appended -nopie to ocaml build options"
+ ewarn "because linking an executable with pie while the objects are not pic will not work"
+ fi
+}
+
+src_unpack() {
+# unpack ${A} && cd "${S}"
+ cvs_src_unpack
+ cd "${S}"/config
+ eautoconf
+ cd "${S}"
+ use ocamlopt || sed -i -e "s/ocamlopt/idontwantocamlopt/g" "${S}/config/configure" || die "failed to disable ocamlopt"
+}
+
+src_compile() {
+ # the dirs are not (yet) used, but it doesn't hurt to specify them anyway
+
+ # onlygui Disable all nets support, build only chosen GUI
+
+ if use gtk || use guionly; then
+ myconf="--enable-gui=newgui2"
+ else
+ myconf="--disable-gui"
+ fi
+
+ if use guionly; then
+ myconf="${myconf} --disable-multinet --disable-donkey"
+ fi
+
+ cd "${S}"
+ econf \
+ --sysconfdir=/etc/mldonkey \
+ --sharedstatedir=/var/mldonkey \
+ --localstatedir=/var/mldonkey \
+ --enable-checks \
+ --disable-batch \
+ $(use_enable fasttrack) \
+ $(use_enable gnutella) \
+ $(use_enable gnutella gnutella2) \
+ $(use_enable gd) \
+ $(use_enable magic) \
+ --enable-ocamlver=3.10 \
+ ${myconf} || die "econf failed"
+
+ export OCAMLRUNPARAM="l=256M"
+ emake || die "emake failed"
+
+ if ! use guionly; then
+ emake utils || die "emake utils failed"
+ fi;
+}
+
+src_install() {
+ local myext=""
+ use ocamlopt || myext=".byte"
+ use ocamlopt || export STRIP_MASK="*/bin/*"
+ if ! use guionly; then
+ for i in mlnet mld_hash get_range copysources make_torrent subconv; do
+ newbin $i$myext $i || die "failed to install $i"
+ done
+
+ newconfd "${FILESDIR}/mldonkey.confd-2.8" mldonkey
+ fperms 600 /etc/conf.d/mldonkey
+ newinitd "${FILESDIR}/mldonkey.initd" mldonkey
+ fi
+
+ if use gtk; then
+ for i in mlgui mlguistarter; do
+ newbin $i$myext $i || die "failed to install $i"
+ done
+ make_desktop_entry mlgui "MLDonkey GUI" mldonkey "Network;P2P"
+ newicon "${S}"/packages/rpm/mldonkey-icon-48.png ${PN}.png
+ fi
+
+ if use doc ; then
+ cd "${S}"/distrib
+ dodoc ChangeLog *.txt
+ dohtml *.html
+
+ insinto /usr/share/doc/${PF}/scripts
+ doins kill_mldonkey mldonkey_command mldonkey_previewer make_buginfo
+
+ cd "${S}"/docs
+ dodoc *.txt *.tex *.pdf
+ dohtml *.html
+
+ cd "${S}"/docs/developers
+ dodoc *.txt *.tex
+
+ cd "${S}"/docs/images
+ insinto /usr/share/doc/${PF}/html/images
+ doins *
+ fi
+}
+
+pkg_preinst() {
+ if ! use guionly; then
+ enewuser ${MLUSER} -1 -1 /home/p2p users
+ fi
+}
+
+pkg_postinst() {
+ if ! use guionly; then
+ echo
+ einfo "If you want to start MLDonkey as a system service, use"
+ einfo "the /etc/init.d/mldonkey script. To control bandwidth, use"
+ einfo "the 'slow' and 'fast' arguments. Be sure to have a look at"
+ einfo "/etc/conf.d/mldonkey also."
+ echo
+ einfo "Attention: 2.6 has changed the inifiles structure, so downgrading"
+ einfo "will be problematic."
+ einfo "User settings (admin) are transferred to users.ini from "
+ einfo "downloads.ini"
+ einfo "Old ini files are automatically converted to the new format"
+ echo
+ else
+ echo
+ einfo "Simply run mlgui to start the chosen MLDonkey gui."
+ einfo "It puts its config files into ~/.mldonkey"
+ fi
+}
diff --git a/net-p2p/sancho-bin/sancho-bin-0.9.4.59.ebuild b/net-p2p/sancho-bin/sancho-bin-0.9.4.59.ebuild
new file mode 100644
index 0000000..28b53e2
--- /dev/null
+++ b/net-p2p/sancho-bin/sancho-bin-0.9.4.59.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/sancho-bin/sancho-bin-0.9.4.58-r1.ebuild,v 1.5 2008/01/29 16:26:44 rich0 Exp $
+
+inherit eutils
+
+MY_P=${P/-bin/}
+MY_P=${MY_P%.*}-${MY_P##*.}
+SRC_URI="mirror://gentoo/${MY_P}-linux-gtk-x86_64-java.sh"
+
+DESCRIPTION="a powerful frontend for mldonkey"
+HOMEPAGE="http://sancho-gui.sourceforge.net/"
+
+RESTRICT="strip"
+
+# In order to keyword ~ppc, 'java' should be package.use.force'd
+KEYWORDS="~amd64"
+SLOT="0"
+LICENSE="CPL-1.0 LGPL-2.1"
+IUSE="java"
+
+DEPEND="x11-libs/libXxf86vm
+ x11-libs/libXext
+ x11-libs/libX11
+ >=x11-libs/gtk+-2
+ java? ( >=virtual/jre-1.5 )"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ unpack_makeself
+}
+
+src_install() {
+ dodir /opt/sancho
+ dodir /opt/bin
+
+ cd "${S}"
+ cp -dpR sancho distrib lib ${D}/opt/sancho
+
+ exeinto /opt/sancho
+ newexe sancho sancho-bin
+
+ exeinto /opt/bin
+ newexe ${FILESDIR}/sancho.sh sancho
+
+ insinto /etc/revdep-rebuild
+ doins ${FILESDIR}/50-${PN}
+
+ make_desktop_entry sancho sancho /opt/sancho/distrib/sancho-32.xpm
+}
+
+pkg_postinst() {
+ elog
+ elog "Sancho requires the presence of a p2p core, like"
+ elog "net-p2p/mldonkey, in order to operate. This core"
+ elog "may be in other machine of your network."
+ elog
+}
diff --git a/net-p2p/valknut/valknut-9999.ebuild b/net-p2p/valknut/valknut-9999.ebuild
new file mode 100644
index 0000000..c9bb660
--- /dev/null
+++ b/net-p2p/valknut/valknut-9999.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/valknut/valknut-0.3.21a.ebuild,v 1.1 2008/09/24 20:01:25 armin76 Exp $
+
+EAPI=1
+
+inherit autotools subversion
+
+ESVN_REPO_URI="https://wxdcgui.svn.sourceforge.net/svnroot/wxdcgui/branches/valknut-qt4"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+
+S="${WORKDIR}/${P/_/}"
+
+DESCRIPTION="Qt based client for DirectConnect"
+HOMEPAGE="http://sourceforge.net/projects/wxdcgui/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="ssl"
+
+RDEPEND="x11-libs/qt:3
+ >=dev-libs/libxml2-2.4.22
+ net-p2p/dclib
+ ssl? ( dev-libs/openssl )"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+src_unpack(){
+ subversion_src_unpack
+ cd "${S}"
+ eautoreconf
+}
+
+
+src_compile() {
+ econf \
+ $(use_with ssl) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed."
+ dodoc AUTHORS ChangeLog NEWS README TODO
+}
diff --git a/net-p2p/verlihub/Manifest b/net-p2p/verlihub/Manifest
new file mode 100644
index 0000000..245932f
--- /dev/null
+++ b/net-p2p/verlihub/Manifest
@@ -0,0 +1,2 @@
+DIST verlihub-0.9.8d-RC2.tar.gz 1087314 RMD160 723ad7e1c84425635098e745156042f19895bffa SHA1 82750e82ee83e697e1cfa79bb58b2c087b3f4e04 SHA256 295424abc986d256e998d565fa28729083cf762460317def43de59e58ba297df
+EBUILD verlihub-0.9.8d_rc2.ebuild 2778 RMD160 4920f6fb3bf4c6bfdcc507f9afe0bb5d39bd7e5c SHA1 87d555523aaa84ca34b3dcd13e0181ca2b4842c0 SHA256 e10fc08073b37770ec123468c861d1734ecb634fa01728f07e7d3e1b4a42e215
diff --git a/net-p2p/verlihub/verlihub-0.9.8d_rc2.ebuild b/net-p2p/verlihub/verlihub-0.9.8d_rc2.ebuild
new file mode 100644
index 0000000..013c533
--- /dev/null
+++ b/net-p2p/verlihub/verlihub-0.9.8d_rc2.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Verlihub, a linux hub for the p2p program 'direct connect'"
+HOMEPAGE="http://www.verlihub-project.org"
+SRC_URI="http://umn.dl.sourceforge.net/sourceforge/verlihub/${PN}-0.9.8d-RC2.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86-fbsd x86"
+DEPEND="dev-libs/libpcre
+ dev-libs/geoip
+ >=dev-db/mysql-4.0.20
+ sys-libs/zlib"
+IUSE="lua50 lua51 floodprot iplog forbid funny messanger chatroom isp replacer stats p_perl hublink"
+PDEPEND=" lua50? ( net-libs/lua50 )
+ lua51? ( net-libs/lua51 )
+ floodport? ( net-libs/floodprot )
+ iplog? ( net-libs/iplog )
+ forbid? ( net-libs/forbid )
+ funny? ( net-libs/funny )
+ messanger? ( net-libs/messanger )
+ chatroom? ( net-libs/chatroom )
+ isp? ( net-libs/isp )
+ replacer? ( net-libs/replacer )
+ stats? ( net-libs/stats )
+ p_perl? ( net-libs/perl )
+ hublink? ( net-libs/hublink )"
+
+S=${WORKDIR}/${PN}
+
+src_unpack() {
+ unpack "${PN}-0.9.8d-RC2.tar.gz"
+ cd "${S}"
+}
+src_compile() {
+ econf || die
+ emake || die "Make failed for problems or bugs please visit http://forums.verlihub-project.org/"
+}
+
+src_install() {
+ make DESTDIR=${D} install || die
+
+ dohtml docs/*.html
+
+ docinto "scripts"
+
+ dodoc \
+ scripts/ccgraph \
+ scripts/import_reglist_0.9.x_to_0.9.8b.sql \
+ scripts/install \
+ scripts/regnick \
+ scripts/runhub \
+ scripts/setenv \
+ scripts/trigger \
+ scripts/vh_runhub.in
+
+ docinto ""
+ dodoc \
+ AUTHORS \
+ COPYING \
+ ChangeLog \
+ INSTALL \
+ NEWS \
+ README \
+ TODO \
+ docs/configuring.txt \
+ docs/help \
+ docs/help.sql \
+ docs/ascii \
+ docs/params.php \
+ docs/using.txt
+}
+
+pkg_postinst() {
+ echo
+ ewarn "Do NOT report bugs to Gentoo's bugzilla"
+ einfo "Please report all bugs to http://forums.verlihubproject.org"
+ einfo "Verlihub-project team"
+
+ if [[ -f "/etc/verlihub/dbconfig" ]]
+ then
+ einfo "Verlihub is already configured in /etc/verlihub"
+ else
+ ewarn "You MUST configure verlihub before starting it:"
+ ewarn "emerge --config =${CATEGORY}/${PF}"
+ ewarn "That way you can [re]configure your verlihub setup"
+ fi
+}
+
+pkg_config() {
+ ewarn "Configuring verlihub"
+ /usr/bin/vh_install
+ if [[ -f "/etc/verlihub/dbconfig" ]]
+ then
+ ewarn "Configuration completed"
+ else
+ ewarn "You haven't configured verlihub succesfully. Please try again"
+ fi
+}